#include <stdio.h>


int main(){
    
    int N, M;
    scanf("%d %d", &N, &M);
    int D[N];

    
    for(int i = 0; i < N; i++){
        scanf("%d", &D[i]);
    }
     
    int BrojPrijatelja[N];
    for(int i = 0; i < N; i++)
        BrojPrijatelja[i] = 0;
    int BrojNeprijatelja[N];
    for(int i = 0; i < N; i++)
        BrojNeprijatelja[i] = 0;
    
    int P1;
    int P2;
 
    for(int i = 0; i < M; i++){
        scanf("%d %d", &P1,&P2);
        if(D[P1-1]+D[P2-1] < 0){
                BrojNeprijatelja[P1-1] += 1;
                BrojNeprijatelja[P2-1] += 1;
            }
            else {
                BrojPrijatelja[P1-1] += 1;
                BrojPrijatelja[P2-1] += 1;
            }
        }
    
    int suma = 0;
    for(int i = 0;i < N; i++){
        int pro = D[i]*(BrojPrijatelja[i] - BrojNeprijatelja[i]);
        suma += pro;
    }
    
 
    printf("%d",suma);

    return 0;
}